Skip to main content
GET
https://api.muvi.video
/
v1
/
catalog
/
providers
/
{id}
curl -X GET https://api.muvi.video/v1/catalog/providers/google
{
  "id": "google",
  "name": "Google",
  "description": "Google's AI video and image generation models",
  "logoUrl": "https://cdn.muvi.video/providers/google.png",
  "website": "https://ai.google",
  "color": "#4285F4",
  "models": [
    {
      "slug": "google/veo-3.1-fast/text-to-video",
      "name": "Veo 3.1 Fast",
      "description": "High-speed video generation",
      "category": "video",
      "capability": "text-to-video",
      "pricing": {
        "baseCredits": 50,
        "unit": "per_generation"
      },
      "tags": ["fast", "hd"]
    },
    {
      "slug": "google/nano-banana",
      "name": "Nano Banana",
      "description": "Image generation model",
      "category": "image",
      "capability": "text-to-image",
      "pricing": {
        "baseCredits": 10,
        "unit": "per_generation"
      },
      "tags": ["fast", "image"]
    }
  ]
}

Authentication

This is a public endpoint. No authentication required.

Path Parameters

id
string
required
The unique identifier of the provider (e.g., google, alibaba).

Response

id
string
Unique provider identifier.
name
string
Display name of the provider.
description
string
Description of the provider.
logoUrl
string
URL to the provider’s logo.
website
string
Provider’s official website.
color
string
Brand color hex code.
models
array
All models from this provider.
curl -X GET https://api.muvi.video/v1/catalog/providers/google
{
  "id": "google",
  "name": "Google",
  "description": "Google's AI video and image generation models",
  "logoUrl": "https://cdn.muvi.video/providers/google.png",
  "website": "https://ai.google",
  "color": "#4285F4",
  "models": [
    {
      "slug": "google/veo-3.1-fast/text-to-video",
      "name": "Veo 3.1 Fast",
      "description": "High-speed video generation",
      "category": "video",
      "capability": "text-to-video",
      "pricing": {
        "baseCredits": 50,
        "unit": "per_generation"
      },
      "tags": ["fast", "hd"]
    },
    {
      "slug": "google/nano-banana",
      "name": "Nano Banana",
      "description": "Image generation model",
      "category": "image",
      "capability": "text-to-image",
      "pricing": {
        "baseCredits": 10,
        "unit": "per_generation"
      },
      "tags": ["fast", "image"]
    }
  ]
}